{% extends 'accountent/account_list.html' %}
{% load i18n %}

{% block page_subtitle %}{% trans "Accounts" %}{% endblock page_subtitle %}
{% block page_title %}{% trans "Bank" %}{% endblock page_title %}


{% block header_button %}
{% if accounts %}
<div id="transaction-history-date-range" class="input-daterange input-group input-group-sm ml-auto">
    <input type="text" class="input-sm form-control" name="as_of" placeholder="Balance as of"
        id="analytics-overview-date-as-of">
    <span class="input-group-append">
        <span class="input-group-text">
            <i class="fas fa-calendar"></i>
        </span>
    </span>
</div>
{% endif %}
{% endblock header_button %}

{% block content %}
{% if accounts %}
<div id="DataTables_Table_0_wrapper" class="dataTables_wrapper no-footer mb-5">
    <div class="dataTables_length" id="DataTables_Table_0_length"><label>{% trans "Show" %} <select
                name="DataTables_Table_0_length" aria-controls="DataTables_Table_0" class="">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select> {% trans "entries" %}</label></div>
    <div id="DataTables_Table_0_filter" class="dataTables_filter"><label>{% trans "Search" %}:<input type="search"
                class="" placeholder="" aria-controls="DataTables_Table_0"></label></div>
    <table class="transaction-history d-none dataTable no-footer dtr-inline collapsed table table-hover" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info" style="width: 1155px;">
        <thead>
            <tr role="row">
                <th class="sorting_asc" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Code: activate to sort column descending">{% trans "Code" %}</th>
                <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                    aria-label="Name: activate to sort column ascending">{% trans "Name" %}</th>
                <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                    aria-label="Balance: activate to sort column ascending">{% trans "Balance" %}</th>
                <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                    aria-label="Currencies: activate to sort column ascending">{% trans "Currencies" %}</th>
                <th>{% trans "Actions" %}</th>
            </tr>
        </thead>
        <tbody>
            {% for account in accounts %}
            <tr class="d-row align-item-center">
                <td><span class="float-left">{{ account.full_code }}</span></td>
                <td>
                    <div class="float-left" style="padding-left: {% widthratio account.get_level 1 15 %}px;">
                        {% if account.is_child_node %}↳{% endif %}
                        {{ account.name }}
                    </div>
                </td>
                <td>{{ account.balance }}</td>
                <td>{{ account.currencies|join:', ' }}</td>
                <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Table row actions">
                        {% if account.is_leaf_node %}
                        <a href="{% url 'accountent:accounts_transactions' account.uuid %}" class="btn btn-white">
                            <i class="fas fa-comments-dollar"></i>
                        </a>
                        {% else %}
                        <a href="{% url 'accountent:accounts_transactions' account.uuid %}" class="btn btn-white">
                            <i class="fas fa-sitemap"></i>
                        </a>
                        {% endif %}
                        <a type="button" href="{% url 'accountent:accounts_update' account.uuid %}" class="btn btn-white">
                            <i class="far fa-edit"></i>
                        </a>
                    </div>
                </td>
            </tr>
            {% empty %}
                <tr>
                <td colspan="6" class="text-center">No accounts exist</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite">{% trans "Page" %} {{ page_obj.number }}
        entries</div>
    <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
        {% if page_obj.has_previous %}
        {% if page_obj.number >= 3 %}
        <a href="?page=1" class="paginate_button first" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" id="DataTables_Table_0_first">
            {% trans "First" %}
        </a>
        {% endif %}
        <a href="?page={{ page_obj.previous_page_number }}" class="paginate_button previous" aria-controls="DataTables_Table_0" data-dt-idx="{{ page_obj.previous_page_number }}" tabindex="{{ object_list.previous_page_number }}" id="DataTables_Table_0_previous">
            {% trans "Previous" %}
        </a>
        {% endif %}
        <span>
        <a class="paginate_button current"
            aria-controls="DataTables_Table_0" data-dt-idx="{{ page_obj.number }}" tabindex="0">
            {{ page_obj.number }}
        </a>
        {% if page_obj.has_next %}
        <span class="ellipsis">
            …
        </span>
        <a href="?page={{ page_obj.paginator.num_pages }}" class="paginate_button " aria-controls="DataTables_Table_0" data-dt-idx="{{ page_obj.paginator.num_pages }}" tabindex="0">
            {{ page_obj.paginator.num_pages }}
        </a>
        </span>
        <a href="?page={{ page_obj.next_page_number }}" class="paginate_button next" aria-controls="DataTables_Table_0" data-dt-idx="{{ page_obj.next_page_number }}" tabindex="0" id="DataTables_Table_0_next">
            {% trans "Next" %}
        </a>
        {% endif %}
    </div>
</div>
{% else %}
<div class="error">
    <div class="error__content">
        <h2>{% trans "Oups!" %}</h2>
        <h3>{% trans "Where are your bank accounts?" %}</h3>
        <p>{% trans "Click the button below to open one." %}</p>
        <a href="{% url 'accountent:bank_account_create' %}" type="button" class="btn btn-primary btn-pill">{% trans "Open bank account" %}</a>
    </div>
</div>
{% endif %}
{% endblock content %}